#include "fieldlistgroupbox.h"
#include <QVBoxLayout>
FieldListGroupBox::FieldListGroupBox(const QString& table,QWidget *parent) :
        QGroupBox(parent)
{

    mLineEdit = new QLineEdit;
    mComboBox = new QComboBox;
    mFieldListWidget = new FieldListWidget(table);
    QHBoxLayout * hLayout = new QHBoxLayout;
    QVBoxLayout * layout = new QVBoxLayout;
    hLayout->addWidget(mLineEdit);
    hLayout->addWidget(mComboBox);

    layout->addLayout(hLayout);
    layout->addWidget(mFieldListWidget);
    setLayout(layout);


    mComboBox->addItem("All",-2);
    mComboBox->addItem("Valid",STATE_VALID);
    mComboBox->addItem("Todo",STATE_TODO);
    mComboBox->addItem("Empty",STATE_EMPTY);
    mComboBox->addItem("Error",STATE_ERROR);



    connect(mLineEdit,SIGNAL(textChanged(QString)),mFieldListWidget,SLOT(filter(QString)));
    connect(mComboBox,SIGNAL(currentIndexChanged(int)),this,SLOT(filterState()));

}
void FieldListGroupBox::filterState()
{
    int stateId = mComboBox->itemData(mComboBox->currentIndex(),Qt::UserRole).toInt();

    mFieldListWidget->filterState(stateId);


}
